import React, { ReactNode } from 'react';
interface BottomNavigationProps {
    state: any;
    descriptors: any;
    navigation: any;
    config: {
        [key: string]: {
            active: ReactNode;
            inactive: ReactNode;
            title: string;
            order: number;
            badge?: {
                variant: 'dot' | 'new' | 'number';
                count?: number;
            };
        };
    };
    shadow?: boolean;
    divider?: boolean;
}
declare const BottomNavigation: ({ state, descriptors, navigation, config, shadow, divider, }: BottomNavigationProps) => React.JSX.Element;
export default BottomNavigation;
//# sourceMappingURL=bottom-navigation.d.ts.map