import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
type IconSize = '2xsmall' | 'xsmall' | 'small' | 'medium' | 'large' | 'xlarge';
type AnimationState = 1 | 2 | 3 | 4;
interface SpinnerProps extends SvgProps {
    size?: IconSize;
    color?: string;
    state?: AnimationState;
}
declare const Spinner: ({ size, color, state, ...props }: SpinnerProps) => React.JSX.Element;
export default Spinner;
//# sourceMappingURL=spinner.d.ts.map