"use strict";
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNextPageParam = exports.getPreviousPageParam = exports.getUrlParameters = exports.normalizePages = exports.getQueryKey = exports.DEFAULT_LIMIT = void 0;
exports.DEFAULT_LIMIT = 10;
function getQueryKey(key, params) {
    return __spreadArray([key], (params ? [params] : []), true);
}
exports.getQueryKey = getQueryKey;
// for infinite query pages  to flatList data
function normalizePages(pages) {
    return pages
        ? pages.reduce(function (prev, current) { return __spreadArray(__spreadArray([], prev, true), current.results, true); }, [])
        : [];
}
exports.normalizePages = normalizePages;
// a function that accept a url and return params as an object
function getUrlParameters(url) {
    if (url === null) {
        return null;
    }
    var regex = /[?&]([^=#]+)=([^&#]*)/g, params = {}, match;
    while ((match = regex.exec(url))) {
        if (match[1] !== null) {
            //@ts-ignore
            params[match[1]] = match[2];
        }
    }
    return params;
}
exports.getUrlParameters = getUrlParameters;
var getPreviousPageParam = function (page) { var _a, _b; return (_b = (_a = getUrlParameters(page.previous)) === null || _a === void 0 ? void 0 : _a.offset) !== null && _b !== void 0 ? _b : null; };
exports.getPreviousPageParam = getPreviousPageParam;
var getNextPageParam = function (page) { var _a, _b; return (_b = (_a = getUrlParameters(page.next)) === null || _a === void 0 ? void 0 : _a.offset) !== null && _b !== void 0 ? _b : null; };
exports.getNextPageParam = getNextPageParam;
//# sourceMappingURL=utils.js.map