"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var nativewind_1 = require("nativewind");
var ui_1 = require("@/components/ui");
var lib_1 = require("@/lib");
var top_navigation_1 = __importDefault(require("@/library/top-navigation"));
var spinner_1 = __importDefault(require("@/library/icons/spinner"));
var react_1 = __importDefault(require("react"));
function Settings() {
    var signOut = lib_1.useAuth.use.signOut();
    var colorScheme = (0, nativewind_1.useColorScheme)().colorScheme;
    var iconColor = colorScheme === 'dark' ? ui_1.colors.neutral[400] : ui_1.colors.neutral[500];
    return (<>
      <top_navigation_1.default backgroundColor="gray" barStyle={'light-content'}>
        <spinner_1.default size="xlarge" color="blue" state={1}/>
        <spinner_1.default size="xlarge" color="blue" state={2}/>
        <spinner_1.default size="xlarge" color="blue" state={3}/>
        <spinner_1.default size="xlarge" color="blue" state={4}/>
        {/* <View className="flex-1 justify-center items-center bg-gray-500 gap-2">
          <View className="flex-row gap-[6px]">
            <CustomIndicator size="xlarge" color="blue" state={1} />
            <CustomIndicator size="xlarge" color="blue" state={2} />
            <CustomIndicator size="xlarge" color="blue" state={3} />
            <CustomIndicator size="xlarge" color="blue" state={4} />

            <Chip
              variant={'staticWhite'}
              shape={'round'}
              text={'랜덤 추천'}
              size={'small'}
              onPress={() => {
                console.log('랜덤 추천');
              }}
            />
            <Chip
              variant={'staticWhite'}
              shape={'round'}
              text={'내 주변 여행지 찾기'}
              size={'small'}
              onPress={() => {
                console.log('내 주변 여행지 찾기');
              }}
            />
          </View>
          <Chip
            variant="outline"
            size="small"
            text="레이블"
            shape="round"
            onPress={() => console.log('pressed')}
          />
          <Chip
            variant="outline"
            size="small"
            text="레이블"
            shape="round"
            onPress={() => console.log('pressed')}
          />
          <Chip
            variant="neutralLow"
            size="small"
            text="레이블"
            onPress={() => console.log('pressed')}
          />
          <Chip
            variant="staticWhite"
            size="small"
            text="레이블"
            onPress={() => console.log('pressed')}
          />
          <Chip
            variant="outline"
            size="medium"
            text="레이블"
            onPress={() => console.log('pressed')}
          />
          <Chip
            variant="neutralLow"
            size="medium"
            text="레이블"
            onPress={() => console.log('pressed')}
          />
          <Chip
            variant="staticWhite"
            size="medium"
            text="레이블"
            onPress={() => console.log('pressed')}
          />
        </View> */}
      </top_navigation_1.default>
      {/* <TopNavigation backgroundColor="white" barStyle={'light-content'}>
          <ScrollView>
            <View className="flex-1 px-4 pt-16 ">
              <Text className="text-xl font-bold">
                {translate('settings.title')}
              </Text>
              <ItemsContainer title="settings.generale">
                <LanguageItem />
                <ThemeItem />
              </ItemsContainer>
  
              <ItemsContainer title="settings.about">
                <Item text="settings.app_name" value={Env.NAME} />
                <Item text="settings.version" value={Env.VERSION} />
              </ItemsContainer>
  
              <ItemsContainer title="settings.support_us">
                <Item
                  text="settings.share"
                  icon={<Share color={iconColor} />}
                  onPress={() => {}}
                />
                <Item
                  text="settings.rate"
                  icon={<Rate color={iconColor} />}
                  onPress={() => {}}
                />
                <Item
                  text="settings.support"
                  icon={<Support color={iconColor} />}
                  onPress={() => {}}
                />
              </ItemsContainer>
  
              <ItemsContainer title="settings.links">
                <Item text="settings.privacy" onPress={() => {}} />
                <Item text="settings.terms" onPress={() => {}} />
                <Item
                  text="settings.github"
                  icon={<Github color={iconColor} />}
                  onPress={() => {}}
                />
                <Item
                  text="settings.website"
                  icon={<Website color={iconColor} />}
                  onPress={() => {}}
                />
              </ItemsContainer>
  
              <View className="my-8">
                <ItemsContainer>
                  <Item text="settings.logout" onPress={signOut} />
                </ItemsContainer>
              </View>
            </View>
          </ScrollView>
        </TopNavigation> */}
    </>);
}
exports.default = Settings;
//# sourceMappingURL=settings.js.map