import * as React from 'react';
import { ViewStyle, TextStyle } from 'react-native';
interface SearchBarProps {
    value?: string;
    placeholder?: string;
    textColor?: string;
    placeholderColor?: string;
    backgroundColor?: string;
    width?: string;
    height?: string;
    radius?: string;
    border?: {
        borderWidth: string;
        borderColor: string;
    };
    textStyle?: TextStyle;
    className?: string;
    style?: ViewStyle;
    disabled?: boolean;
    onChangeText?: (text: string) => void;
    onClear?: () => void;
    onSubmit?: () => void;
}
export default function SearchBar({ value, placeholder, textColor, placeholderColor, backgroundColor, width, height, radius, border, textStyle, className, style, disabled, onChangeText, onClear, onSubmit, }: SearchBarProps): React.JSX.Element;
export {};
//# sourceMappingURL=search-bar.d.ts.map